/**
 * @license
 * Copyright 2022 Google LLC
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import { DynamicScheme } from '../dynamiccolor/dynamic_scheme';
import { Variant } from '../dynamiccolor/variant.js';
/**
 * A Dynamic Color theme that is intentionally detached from the source color.
 */
export class SchemeExpressive extends DynamicScheme {
    constructor(sourceColorHct, isDark, contrastLevel, specVersion = SchemeExpressive.DEFAULT_SPEC_VERSION, platform = SchemeExpressive.DEFAULT_PLATFORM) {
        super({
            sourceColorHct,
            variant: Variant.EXPRESSIVE,
            contrastLevel,
            isDark,
            platform,
            specVersion,
        });
    }
}
SchemeExpressive.DEFAULT_SPEC_VERSION = '2021';
SchemeExpressive.DEFAULT_PLATFORM = 'phone';
//# sourceMappingURL=scheme_expressive.js.map